org.apache.solr.search.stats

## Class ExactStatsCache.ExactStatsSource

- java.lang.Object
- - org.apache.solr.search.stats.StatsSource
  - - org.apache.solr.search.stats.ExactStatsCache.ExactStatsSource

- Enclosing class:
    ExactStatsCache

      protected static class ExactStatsCache.ExactStatsSource
      extends StatsSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExactStatsSource(Map<String,TermStats> termStatsCache, Map<String,CollectionStats> colStatsCache)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CollectionStatistics` | `collectionStatistics(SolrIndexSearcher localSearcher, String field)`
    `TermStatistics` | `termStatistics(SolrIndexSearcher localSearcher, Term term, TermContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExactStatsSource

          public ExactStatsSource(Map<String,TermStats> termStatsCache,
                                  Map<String,CollectionStats> colStatsCache)

  - ### Method Detail

    - #### termStatistics

          public TermStatistics termStatistics(SolrIndexSearcher localSearcher,
                                               Term term,
                                               TermContext context)
                                        throws IOException

      Specified by:
        `termStatistics` in class `StatsSource`
      Throws:
        `IOException`

    - #### collectionStatistics

          public CollectionStatistics collectionStatistics(SolrIndexSearcher localSearcher,
                                                           String field)
                                                    throws IOException

      Specified by:
        `collectionStatistics` in class `StatsSource`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.